Set default Deployment Domain Name
- PUT /platform/configuration/networking/deployment_domain_name
Saves the default Deployment Domain Name configuration value.
Query Parameters
-
versionstring If specified, then checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request). If not specified, will unconditionally upsert.
-
skip_cascading_operationsboolean · default: false Whether or not to skip cascading operations, such as re-provisioning the Security Deployment.
Request
Data containing the Deployment Domain Name to set
-
valuestringrequired -
The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).
Responses
The Deployment Domain Name was successfully saved.
-
valuestringrequired -
The domain name for all deployments. The hostname of an application in a deployment is constructed from the application ID and the domain name (for example, 1234567890.example.com).
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
The optimistic locking version format was wrong. (code: networking.cname.bad_version_format)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
There is no configured Deployment Domain Name but optimistic locking was sent. (code: networking.cname.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
There was an optimistic locking version conflict. (code: networking.cname.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
skip_cascading_operations was false but the Security Deployment already had a pending plan. (code: security_deployment.cluster_pending_plan_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response